<div class="add-nodes-dialog">
  <div class="add-nodes-dialog-header d-flex align-items-center">
    <h2 mat-dialog-title class="my-0">Add nodes</h2>
    <span class="spacer"></span>
    <button
      mat-icon-button
      (click)="closeDialog()"
      aria-label="Icon button with a close icon"
    >
      <mat-icon>close</mat-icon>
    </button>
  </div>

  <mat-dialog-content class="add-nodes-dialog-content">
    <div class="d-flex align-items-center justifiy-content-evenly">
      <div class="ds-nodes-container">
        <h2>Available nodes</h2>
        <div class="ds-nodes-list">
          @for (node of availableNodes; track node) {
            <div class="ds-nodes-box text-primary border-primary fw-700">
              {{ node }}
              <mat-icon
                (click)="addNode(node)"
                (keydown)="addNode(node)"
                class="ml-1 cursor-pointer"
                aria-hidden="false"
                aria-label="Add icon"
                fontIcon="add"
              ></mat-icon>
            </div>
          }
        </div>
      </div>

      <div>
        <h2 class="opacity-0">.</h2>
        <mat-icon
          class="arrow-forward-icon"
          aria-hidden="false"
          aria-label="Arrow icon"
          fontIcon="arrow_forward"
        ></mat-icon>
      </div>

      <div class="ds-nodes-container">
        <h2>Selected nodes</h2>
        <div class="ds-nodes-list">
          @for (node of selectedNodes; track node) {
            <div class="ds-nodes-box bg-primary-100 fw-700">
              {{ node.name }}
              <mat-icon
              (click)="removeNode(node.name)"
              (keydown)="removeNode(node.name)"
              class="ml-1 cursor-pointer"
                aria-hidden="false"
                aria-label="Close icon"
                fontIcon="close"
              ></mat-icon>
            </div>
          }
        </div>
      </div>
    </div>
  </mat-dialog-content>

  <mat-dialog-actions align="end">
    <button
      [disabled]="selectedNodes.length < 1"
      color="primary"
      mat-stroked-button
      (click)="removeAll()"
    >
      Remove all
    </button>
    <button
      [disabled]="selectedNodes.length < 1"
      color="primary"
      mat-flat-button
      [mat-dialog-close]="selectedNodes"
    >
      Add nodes
    </button>
  </mat-dialog-actions>
</div>
